Package com.emc.d2fs.interfaces

# Interface IAnnotationService

All Superinterfaces:
  `ID2fsService`

public interface IAnnotationService extends ID2fsService
Provides access to native annotation services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getContentIdAndNativeAnnotationIds(Context context, String id)`
  Get the content id with all its annotation ids from an annotation or content selection.
  `String`
  `getNativeAnnotation(Context context, String id)`
  Get a native annotation from a content
  `List<String>`
  `getUserNativeAnnotationCheckoutIds(Context context, String id)`
  Get the annotation ids in checkout from a content/task/annotation for the current user
  `boolean`
  `testComparisonDirection(Context context, String fromId, String toId)`
  Test the direction of comparison between 2 content ids

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### getNativeAnnotation

    String getNativeAnnotation(Context context, String id) throws Exception
    Get a native annotation from a content
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
    Returns:
      String id of the existing or newly created annotation document
    Throws:
      `Exception`
    Since:
      4.1.0

  - ### testComparisonDirection

    boolean testComparisonDirection(Context context, String fromId, String toId) throws Exception
    Test the direction of comparison between 2 content ids
    Parameters:
      `context` - `Context` object containing informations about client/session
      `fromId` - String value of document id
      `toId` - String value of document id to compare with
    Returns:
      boolean true if fromId is the recent/latest id and toId is the old/comparison id, false means the other way
    Throws:
      `Exception`
    Since:
      4.1.0

  - ### getUserNativeAnnotationCheckoutIds

    List<String> getUserNativeAnnotationCheckoutIds(Context context, String id) throws Exception
    Get the annotation ids in checkout from a content/task/annotation for the current user
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
    Returns:
      list of user annotation id in checkout state, only one may exist at a time for a user and for one document
    Throws:
      `Exception`
    Since:
      4.1.0

  - ### getContentIdAndNativeAnnotationIds

    List<String> getContentIdAndNativeAnnotationIds(Context context, String id) throws Exception
    Get the content id with all its annotation ids from an annotation or content selection.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of an annotation/document id
    Returns:
      list of id with master document id in first position. No document, nor annotation, nor right on document will result in an exception
    Throws:
      `Exception`
    Since:
      4.1.0